Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Link/typo3link.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Link/typo3link.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Link/typo3link.js	(copie de travail)
@@ -63,6 +63,7 @@
 			var buttonConfiguration = {
 				id		: buttonId,
 				tooltip		: this.localize(buttonId.toLowerCase()),
+				iconCls		: 'htmlarea-action-' + button[4],
 				action		: 'onButtonPress',
 				hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
 				context		: button[1],
@@ -77,8 +78,8 @@
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: [
-		['CreateLink', 'a,img', false, true],
-		['UnLink', 'a', false, false]
+		['CreateLink', 'a,img', false, true, 'link-edit'],
+		['UnLink', 'a', false, false, 'unlink']
 	],
 	/*
 	 * This function gets called when the button was pressed
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/UndoRedo/undo-redo.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/UndoRedo/undo-redo.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/UndoRedo/undo-redo.js	(copie de travail)
@@ -70,6 +70,7 @@
 			var buttonConfiguration = {
 				id		: buttonId,
 				tooltip		: this.localize(buttonId.toLowerCase()),
+				iconCls		: 'htmlarea-action-' + button[3],
 				action		: 'onButtonPress',
 				hotKey		: (this.editorConfiguration.buttons[buttonId.toLowerCase()]?this.editorConfiguration.buttons[buttonId.toLowerCase()].hotKey:button[2]),
 				noAutoUpdate	: true
@@ -82,8 +83,8 @@
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: [
-		['Undo', null, 'z'],
-		['Redo', null, 'y']
+		['Undo', null, 'z', 'undo'],
+		['Redo', null, 'y', 'redo']
 	],
 	/*
 	 * This function gets called when the editor is generated
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/UserElements/user-elements.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/UserElements/user-elements.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/UserElements/user-elements.js	(copie de travail)
@@ -58,6 +58,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize('Insert custom element'),
+			iconCls		: 'htmlarea-action-user-element-edit',
 			action		: 'onButtonPress',
 			hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
 			dialog		: true
